%global _source_filedigest_algorithm 1
%global _binary_filedigest_algorithm 1
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio

%global rhevm_userportal_dir  %{_datadir}/rhevm/rhevm.ear/userportal.war/org.ovirt.engine.ui.userportal.UserPortal


Name: rhevm-spice-client
Version: 3.0
Release: 21%{?dist}
License: GPLv2+
Summary: Spice Client MSI for Red Hat Enterprise Virtualization
Group: Virtualization/Management
URL: http://www.redhat.com/virtualization/rhev/server/

Source0: RHEVSpiceClient.msi
Source1: SpiceX_x64.cab
Source2: RHEVSpiceClient64.msi
Source3: spice-client-msi-3.0-21-sources.zip
Source4: SpiceX_x86.cab
Source5: SpiceVersion.txt
Source6: spice-client-msi-3.0-21-spec.zip
Source7: SpiceVersion_x64.txt

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: rhevm

%description
Spice client MSI for Red Hat Enterprise Virtualization Manager

%package x86-msi
Summary: Spice client 32bit MSI for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-admin-portal-wpf

%description x86-msi
The 32bit Spice Client MSI for Red Hat Enterprise Virtualization Manager

%package x86-cab
Summary: Spice client 32bit CAB for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-userportal

%description x86-cab
The 32bit Spice Client CAB for Red Hat Enterprise Virtualization Manager

%package x64-msi
Summary: Spice client 64bit MSI for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-admin-portal-wpf

%description x64-msi
The 64bit Spice Client MSI for Red Hat Enterprise Virtualization Manager

%package x64-cab
Summary: Spice client 64bit CAB for Red Hat Enterprise Virtualization Manager
Group: Virtualization/Management
Requires: rhevm-userportal

%description x64-cab
The 64bit Spice Client CAB for Red Hat Enterprise Virtualization Manager

%prep

%build

%install
rm -rf %{buildroot}
/usr/bin/install -d %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war
/usr/bin/install -d %{buildroot}%{rhevm_userportal_dir}

/bin/cp %{SOURCE0} %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/
/bin/cp %{SOURCE1} %{buildroot}%{rhevm_userportal_dir}/
/bin/cp %{SOURCE2} %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/
/bin/cp %{SOURCE4} %{buildroot}%{rhevm_userportal_dir}/
/bin/cp %{SOURCE5} %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/
/bin/cp %{SOURCE5} %{buildroot}%{rhevm_userportal_dir}/
/bin/cp %{SOURCE7} %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/
/bin/cp %{SOURCE7} %{buildroot}%{rhevm_userportal_dir}/
mv %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/RHEVSpiceClient.msi %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/RHEV\ Spice\ Client.msi
mv %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/RHEVSpiceClient64.msi %{buildroot}%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/RHEV\ Spice\ Client\ 64.msi
mv %{buildroot}%{rhevm_userportal_dir}/{SpiceX_x86.cab,SpiceX.cab}

%clean
rm -rf %{buildroot}

%files x86-msi
%defattr(0644,root,root,0755)
"%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/RHEV Spice Client.msi"
%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/SpiceVersion.txt

%files x64-msi
%defattr(0644,root,root,0755)
"%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/RHEV Spice Client 64.msi"
%{_datadir}/rhevm/rhevm.ear/rhevmanager.war/SpiceVersion_x64.txt

%files x64-cab
%{rhevm_userportal_dir}/SpiceX_x64.cab
%{rhevm_userportal_dir}/SpiceVersion_x64.txt

%files x86-cab
%{rhevm_userportal_dir}/SpiceX.cab
%{rhevm_userportal_dir}/SpiceVersion.txt

%changelog
* Mon Sep 19 2011 Uri Lublin <uril@redhat.com> - 3.0-19
 - Rename user-portal directory prefix from org.nogah to org.ovirt.engine.ui
   to match RHEV-M namespace.
Resolves: #739756

* Mon Jul 18 2011 Arnon Gilboa <agilboa@redhat.com> - deploy a SpiceVersion file within RHEV-M user-portal war #722783 - 3.0-12
* Sun Jul 17 2011 Arnon Gilboa <agilboa@redhat.com> - replace userportal path prefix to org.nogah #721360 - 3.0-11
* Thu Mar 31 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
